commit 79366d9bec48d90d47b463e74c6096d14b055e32
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Mar 11 00:22:48 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 95dbf27d32a..4bd9e51ab1b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250310
+20250311
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 2b4d84ac15c..f56bc66ca3a 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,13 @@
+2025-03-10  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2025-01-27  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/118640
+	* resolve.cc (generate_component_assignments): Make sure that
+	the rhs temporary does not pick up the optional attribute from
+	the lhs.
+
 2025-03-09  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 6355f3f6296..bbc0bec1b8b 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-03-10  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2025-01-27  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/118640
+	* gfortran.dg/pr118640.f90: New test.
+
 2025-03-09  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:
diff --git a/libphobos/ChangeLog b/libphobos/ChangeLog
index b57d473fdfe..19ec39251e8 100644
--- a/libphobos/ChangeLog
+++ b/libphobos/ChangeLog
@@ -1,3 +1,12 @@
+2025-03-10  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/119112
+	* libdruntime/core/sys/freebsd/unistd.d (closefrom): Add binding.
+	* libdruntime/core/sys/linux/unistd.d (closefrom): Likewise.
+	* libdruntime/core/sys/openbsd/unistd.d (closefrom): Likewise.
+	* src/std/process.d (enum InternalError): Add closefds_dup2.
+	(spawnProcessPosix): Use closefrom when available.
+
 2024-08-01  Release Manager
 
 	* GCC 14.2.0 released.

